#include "./profinet/profinet_cb_exp_module_ind.hpp"
#include "./profinet/profinet.hpp"

int profinet_cb_exp_module_ind (
    pnet_t * net,
    void * arg,
    uint32_t api,
    uint16_t slot,
    uint32_t module_ident)
{
    Profinet * const profinet_ptr = static_cast<Profinet*>(arg);

    return profinet_ptr->callbackExpModuleInd(slot, module_ident);
}